# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *
import glob
import os
import shutil

target_install_dir = makepath(programfiles, 'CookieViz')

def install():

    # Killing impacted processes
    killalltasks(ensure_list(control.impacted_process))

    # Portable installation
    bin_name = glob.glob('CookieViz*Setup.exe')[0]
    version = Version(control.get_software_version(),3)
    arch = control.architecture
    unzip_with_7zip(bin_name, filenames=[fr'CookieViz {version} win {arch}.7z'])
    unzip_with_7zip(makepath(bin_name.replace('.exe',''), fr'CookieViz {version} win {arch}.7z'),target_install_dir)

    #Creating shortcuts
    create_programs_menu_shortcut('CookieViz',makepath(target_install_dir,'CookieViz.exe'))



def uninstall():
    # Killing impacted processes
    killalltasks(ensure_list(control.impacted_process))

    # Remove target installation directory
    if isdir(target_install_dir):
        remove_tree(target_install_dir)

    # Remove shortcuts
    remove_programs_menu_shortcut('CookieViz')
